%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Twenty Seconds Resume/CV
% LaTeX Template
% Version 1.1 (8/1/17)
%
% This template has been downloaded from:
% http://www.LaTeXTemplates.com
%
% Original author:
% Carmine Spagnuolo (cspagnuolo@unisa.it) with major modifications by 
% Vel (vel@LaTeXTemplates.com)
%
% License:
% The MIT License (see included LICENSE file)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[letterpaper]{twentysecondcv} % a4paper for A4

%----------------------------------------------------------------------------------------
%	 PERSONAL INFORMATION
%----------------------------------------------------------------------------------------

% If you don't need one or more of the below, just remove the content leaving the command, e.g. \cvnumberphone{}



\cvname{Sina Tavakoli} % Your name
%\cvjobtitle{Gadepalli} % Job title/career

\cvdate{} % Date of birth
\cvaddress{Tornihaukantie 8, Espoo, \newline Finland} % Short address/location, use \newline if more than 1 line is required
\cvmail{sina.11235@gmail.com}
\cvnumberphone{+358 505059811} % Phone number
\cvsite{\href{https://www.linkedin.com/in/s-tavakoli}{linkedin.com/in/s-tavakoli}} % Personal website

\definecolor{bleudefrance}{rgb}{0.19, 0.55, 0.91}
%----------------------------------------------------------------------------------------

\begin{document}

%----------------------------------------------------------------------------------------
%	 Education
%----------------------------------------------------------------------------------------

\Education{MSc. Degree in Applied Mathematics
\textbf{\newline \textit{University of Tehran} | Tehran, Iran
\newline{2012--2015}
\newline Thesis Title: A Computational Model of Visual Cortex based on Spiking Neural Network}
\newline
\newline BSc. Degree in Applied Mathematics
\textbf{\newline \textit{University of Tehran} | Tehran, Iran
\newline{2008-2012}}
\newline \newline \newline
}
%----------------------------------------------------------------------------------------
%	 SKILLS
%----------------------------------------------------------------------------------------

% Skill bar section, each skill must have a value between 0 an 6 (float)

\skills{\textbf{Operating Systems:}  GNU/Linux, MS Windows, Android
\newline \newline \textbf{Programming Languages:}  C/C\raisebox{.2ex}{++}, C\raisebox{.2ex}{\scriptsize \#} .Net, Python, JavaScript, Lua, Bash, Go, Java, Erlang, Rust
\newline \newline \textbf{Version Controls:} Git, Subversion
\newline \newline \textbf{Databases:} MySQL/MariaDB, MSSQL Server, PostgreSQL, Redis, MongoDB, Elasticsearch, Cassandra, ArrangoDB
\newline \newline \textbf{DevOps Tools:} Gitlab CI, Docker, Docker Compose, Docker Swarm, Kubernetes
\newline \newline \textbf{Architecture and Development Practices:} Microservices, Multi-layered Applications, Distributed Systems, TDD, BDD, DDD, MVC, Actor Model, React Model
\newline \newline \textbf{Software Life Cycle Practices:} Scrum, Kanban, XP
}

\ExtraCurricular{}

%------------------------------------------------

% Skill text section, each skill must have a value between 0 an 6


%----------------------------------------------------------------------------------------

\makeprofile % Print the sidebar

%----------------------------------------------------------------------------------------
%	 INTERESTS
%----------------------------------------------------------------------------------------


%----------------------------------------------------------------------------------------
%	 EDUCATION
%----------------------------------------------------------------------------------------

\section{Work Experiences}

\begin{twenty} % Environment for a list with descriptions
	\twentyitem{Since Sep'19}{Senior Developer}{Open-Xchange Oy (300+ employees), Finland}{
	\href{https://open-xchange.com}{\color{bleudefrance}{Open-Xchange}} is the company behind \href{https://dovecot.org}{\color{bleudefrance}{Dovecot}}, \href{https://powerdns.com}{\color{bleudefrance}{PowerDNS}}. It aims for open a borderless internet that is safe, open and free.
	\begin{itemize}
         \item Participating in development and maintaining of the \href{https://dovecot.org}{\color{bleudefrance}{dovecot}} project.
         \item Working in a team of 5 members.
         \item Working with C, python, lua, bash, Cassandra, Gitlab, Docker.
     \end{itemize}
	}\\
	
	\twentyitem{May'17-Sep'19}{Technical Lead}{Alibaba Travels (500+ employees), Iran}{
	\href{https://www.alibaba.ir}{\color{bleudefrance}{Alibaba.ir}} is the top e-commerce website in the area of tourism and traveling in Iran serving more than 2 million active users daily.
	\begin{itemize}
         \item Developed and maintained technical projects for flight section of the website in a team of 5 developers.
         \item Lead a project aiming to abstract the needs of all the websites components which became separated monolithic services, into a robust distributed micro-service solution.
         \item Practiced TDD, scrum and XP methologies.
         \item Worked with ASP .Net, ASP Core, SQL Server, Redis, MongoDB, Rabbit MQ, Zero MQ, Protobuf, Drools, Git, Elasticsearch, Gitlab, Docker, Docker-Swarm, Kubernetes.
     \end{itemize}
	}\\
	\twentyitem{Feb'15-Mar'17}{Co-Founder}{OrbitX, Iran}{
	OrbitX was aimed to create tools for making game development easy.
	\begin{itemize}
         \item Developed a general purpose socket based game server to support multi-player feature of any types of games using an abstracted protocol.
         \item The final version of the game server supported 300k requests (user transaction) per second with concurrency level of 1000 in a server having a 4 core CPU (single node).
         \item Worked with C++, boos::asio, Apache Thrift, Redis, Git, Docker
         \item Practiced TDD and BDD.
         \item The start up failed commercially but source became open \href{https://gitlab.com/orbitx}{\color{bleudefrance}{here}}
     \end{itemize}
	}\\
    \twentyitem{May'15-May'16}{Senior Developer}{PeykAsa Messageware (100+ employees), Iran}{
	\href{https://peykasa.com}{\color{bleudefrance}{Peykasa}} is the first provider of carrier-grade SMS Center in Iran and is active in telecommunication solutions.
	\begin{itemize}
         \item Developed projects in a team of 4 developers.
         \item Practiced scrum and TDD.
         \item Developed telecommunication services over sockets, websockets, REST and SOAP
         \item Developed mainly in C++, Python and Lua for scripting
         \item Worked with telephony PBX applications such as Asterisk and Freeswitch.
         \item Worked with Dialogic telephony cards.
     \end{itemize}
	}\\
\end{twenty}

\newpage
\makesecondprofile

\section{Other Projects}

\begin{twenty} % Environment for a short list with no descriptions
	\twentyitem{Since Oct'18}{MQTools}{}{\href{https://gitlab.com/sin0emp/MQTools}{\color{bleudefrance}{MQTools}} is an open source framework to help building distributed systems.
	\begin{itemize}
         \item Based on ZeroMQ, abstracts the communication functionalities of a node in a distributed micro-service system.
         \item This framework can provide functionalities such as service discovery, work distribution, load balancing, service monitoring, etc in a p2p manner for nodes in a distributed system.
         \item This framework is being used as the base framework of back-end services in \href{https://www.alibaba.ir}{alibaba.ir} website.
     \end{itemize}
	}\\
	\twentyitem{Jun'15-Jul'16}{Incident Monitor}{Sepand Institude}{This project was developed as an incident management tool to monitor a real incident (such as fire in jungle) using \href{https://www.ogre3d.org/}{\color{bleudefrance}{Ogre}} graphics engine.
	\begin{itemize}
         \item Developed real-time 3D rendering monitoring software.
         \item Worked with Arc-GIS services and DEM data.
         \item Worked with C++, Ogre, PostgreSQL, Arc-GIS.
     \end{itemize}\\
	}
\end{twenty}

\begin{twenty} % Environment for a short list with no descriptions
	\twentyitem{2014}{SmartBoard}{Mana Afzar Co.}{This project was developed to provide tracking of user interaction with a hard projected image of a monitor, using image processing methods. Users would have had an infrared pointer that was going to be tracked as the system's mouse using a previously setup camera.
	\begin{itemize}
         \item Hardware control and real time image processing experience.
         \item Worked with C\#, DirectShow, Numerical Algorithms, Local Regressions
     \end{itemize}
	}\\
	\twentyitem{2013}{Bus Simulation}{Dr. Nahvi Lab.}{This project was aimed to simulate a bus driving environment in which a driver would have control a simulated hardware and interact with a simulated software.
	\begin{itemize}
         \item Simulating a virtual world and pedestrians AI.
         \item Experienced AI algorithms, Multi-Agent systems, Parallel Processing.
         \item Worked with C++, Ogre and SQLServer.
     \end{itemize}
	}
\end{twenty}

\section{Awards}
\\
\begin{twenty}
	\twentyitem{2012}{Ranked 8th in student mathematical Olympiad of Iranian Measurement Organization (Sanjesh).}{}{}
    \twentyitem{2012}{Ranked 1st among 50 B.S Mathematics students in university of Tehran (Entrance of year 2008) and gain a fellowship in the master degree.}{}{}
    \twentyitem{2005}{Ranked 2nd in Laboratory Competitions of Ministry of Education of Iran in the field of computer.}{}{}
    \twentyitem{2004}{Ranked 3rd place in internal league of Ministry of Education of Iran, passed four competitive levels in high school Robocup program (2D Soccer Simulation).}{}{}
\end{twenty}

\section{Other Activities}
\\
\begin{twenty}
	\twentyitem{2013}{Researcher}{}{BisLab, Brain and Intelligent Systems Research Laboratory, IPM}
    \twentyitem{2012}{Researcher}{}{TaarLab, Human and Robot Interaction Laboratory, University of Tehran}
\end{twenty}
\end{document} 
